.woocommerce-info {
    border-top-color: #31a3a3;
}

.woocommerce-info::before {
    color: #31a3a3;
}

.woocommerce-message {
    border-top-color: rgba(10,191,83,.50);
}

.woocommerce-message::before {
    color: #31a3a3;
}

:focus, a:focus, button:focus {
    outline-color: transparent;
}

.product-subtotal {
	text-align: right;
}

.woocommerce #content table.cart td.actions .input-text, .woocommerce table.cart td.actions .input-text, .woocommerce-page #content table.cart td.actions .input-text, .woocommerce-page table.cart td.actions .input-text {
    width: 200px;
}

.input-text {
	padding: .75rem 1.8125rem !important;
    font-size: .9375rem;
    font-weight: 400 !important;
    line-height: 1.5 !important;
    color: #51596c !important;
    background-color: #fff !important;
    background-clip: padding-box;
    border: .0625rem solid rgba(220, 224, 229, .6) !important;
    appearance: none;
    border-radius: .25rem !important;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.input-text:focus {
    color: #51596c !important;
    background-color: #fff !important;
    border-color: rgba(140, 152, 164, .25) !important;
    outline: 0;
    box-shadow: 0 0 1rem 0 rgba(140, 152, 164, .25);
}

.button {
	--bs-btn-color: #fff !important;
    --bs-btn-bg: #31a3a3 !important;
    --bs-btn-border-color: #31a3a3 !important;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #4d5566;
    --bs-btn-hover-border-color: #4d5566 !important;
    --bs-btn-focus-shadow-rgb: 47, 201, 109;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #089942;
    --bs-btn-active-border-color: #088f3e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #31a3a3;
    --bs-btn-disabled-border-color: #31a3a3;
    --bs-btn-padding-x: 1.8125rem;
    --bs-btn-padding-y: 0.75rem;
    --bs-btn-font-size: 0.9375rem;
    --bs-btn-font-weight: 700;
    --bs-btn-line-height: 1.5;
    --bs-btn-color: #51596C;
    --bs-btn-bg: transparent;
    --bs-btn-border-width: 0.125rem;
    --bs-btn-border-color: transparent;
    --bs-btn-border-radius: 0.25rem;
    --bs-btn-hover-border-color: transparent;
    --bs-btn-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075);
    --bs-btn-disabled-opacity: 0.65;
    --bs-btn-focus-box-shadow: 0 0 0 0 rgba(var(--bs-btn-focus-shadow-rgb), .5);
    display: inline-block !important;
    padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x) !important;
    font-family: var(--bs-btn-font-family);
    font-size: var(--bs-btn-font-size) !important;
    font-weight: var(--bs-btn-font-weight) !important;
    line-height: var(--bs-btn-line-height) !important;
    color: var(--bs-btn-color) !important;
    text-align: center;
    vertical-align: middle;
    cursor: pointer !important;
    user-select: none;
    border: var(--bs-btn-border-width) solid var(--bs-btn-border-color) !important;
    border-radius: var(--bs-btn-border-radius) !important;
    background-color: var(--bs-btn-bg) !important;
    transition: all .2s ease-in-out;
}

.button:hover {
    color: var(--bs-btn-hover-color) !important;
    background-color: var(--bs-btn-hover-bg) !important;
    border-color: var(--bs-btn-hover-border-color) !important;
}

.woocommerce .cart .button, .woocommerce .cart input.button {
    --bs-btn-color: #fff !important;
    --bs-btn-bg: #2d374b !important;
    --bs-btn-border-color: #2d374b !important;
    --bs-btn-hover-color: #fff !important;
    --bs-btn-hover-bg: #4d5566 !important;
    --bs-btn-hover-border-color: #424b5d !important;
    --bs-btn-focus-shadow-rgb: 77, 85, 102 !important;
    --bs-btn-active-color: #fff !important;
    --bs-btn-active-bg: #575f6f !important;
    --bs-btn-active-border-color: #424b5d !important;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125) !important;
    --bs-btn-disabled-color: #fff !important;
    --bs-btn-disabled-bg: #2d374b !important;
    --bs-btn-disabled-border-color: #2d374b !important;
}

.woocommerce-shipping-fields {
	display: none;
}

.bg-light {
    --bs-bg-opacity: transparent;
    background-color: transparent;
}

.select2-container .select2-dropdown, .select2-container .select2-selection {
    border: .0625rem solid rgba(220, 224, 229, .6);
    border-radius: .25rem;
}

.select2-container .select2-selection--single .select2-selection__rendered {
	padding: .75rem 1.8125rem;
    line-height: 1.5;
    color: #51596c;
}

.select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected] {
    background-color: #31a3a3;
}

.woocommerce form .form-row .woocommerce-input-wrapper .description {
    background: #31a3a3;
    top: 15px;
}

#add_payment_method #payment, .woocommerce-cart #payment, .woocommerce-checkout #payment {
    background: rgba(10,191,83,.075);
}

#add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box {
    background-color: #2d374b;
    color: #fff;
}

#add_payment_method #payment div.payment_box p:last-child, .woocommerce-cart #payment div.payment_box p:last-child, .woocommerce-checkout #payment div.payment_box p:last-child {
	color: #fff;
}

#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before {
    border: 1em solid #2d374b;
    border-right-color: transparent;
    border-left-color: transparent;
    border-top-color: transparent;
}